import request from '@/utils/request'

// 进口商列表
export function getImporterList(params) {
  return request({
    url: '/importerEntity/queryList',
    method: 'get',
    params
  })
}

// 添加进口商
export function addImporter(data) {
  return request({
    url: '/importerEntity/add',
    method: 'post',
    data
  })
}

// 进口商详情
export function getImporterDetails(params) {
  return request({
    url: '/importerEntity/getByEntityId',
    method: 'get',
    params
  })
}

// 供应商列表
export function getSupplierList(params) {
  return request({
    url: '/vendorEntity/queryList',
    method: 'get',
    params
  })
}

// 添加供应商
export function addSupplier(data) {
  return request({
    url: '/vendorEntity/add',
    method: 'post',
    data
  })
}

// 供应商详情
export function getSupplierDetails(params) {
  return request({
    url: '/vendorEntity/getByEntityId',
    method: 'get',
    params
  })
}
